Home
last modified time | relevance | path

Searched refs:exit (Results 1 – 25 of 241) sorted by relevance

12345678910

/vim-8.2.3635/src/tee/
H A Dtee.c111 exit(2); in main()
120 exit(1); in main()
126 exit(1); in main()
134 exit(1); in main()
164 exit(0); in main()
/vim-8.2.3635/ci/
H A Dappveyor.bat17 exit 1
36 exit 1
38 .\gvim -u NONE -c "redir @a | ver |0put a | wq" ver_msvc.txt || exit 1
41 .\vim --version || exit 1
43 type ver_msvc.txt || exit 1
/vim-8.2.3635/src/testdir/
H A Dtest_channel_pipe.py20 sys.exit(0)
23 sys.exit(0)
28 sys.exit(0)
H A Dtest_prompt_buffer.vim21 \ ' if a:text == "exit"',
65 call term_sendkeys(buf, "exit\<CR>")
95 call term_sendkeys(buf, "\<C-U>exit\<CR>")
H A Dtest_terminal.vim274 eval buf->term_sendkeys("exit\<CR>")
402 call term_sendkeys(buf, "exit\<CR>")
500 call term_sendkeys(bufnr(), "exit\r")
783 exe '1term ++eof=exit(123) ' .. s:python
786 call WaitFor({-> getline('$') =~ 'exit(123)'})
816 call WaitFor({-> getline('$') =~ 'exit(123)'})
1034 call term_sendkeys(buf, "exit\r")
1132 " 3. make Vim exit, it will kill the shell
1163 " check that :qall does not exit, :qall! does.
1225 " quit the shell, it will make Vim exit
[all …]
H A Dtest_terminal2.vim273 call feedkeys("exit\<CR>", 'xt')
308 " let contents = ['@echo off', 'exit %1']
312 " let contents = ['#!/bin/sh', 'exit $1']
317 " " Check if v:shell_error is equal to the exit status.
H A DMake_ming.mak50 @if exist test.log ( echo TEST FAILURE & exit /b 1 ) \
62 @if exist test.log exit 1
H A DMake_dos.mak38 @if exist test.log ( echo TEST FAILURE & exit /b 1 ) \
50 @if exist test.log exit 1
/vim-8.2.3635/runtime/pack/dist/opt/shellmenu/plugin/
H A Dshellmenu.vim45 imenu Stmts.exit exit
68 imenu ParmSub.If parm not set print word and exit ${:?}hhi
107 imenu Set.exit when command returns non-zero exit code set -e
/vim-8.2.3635/src/
H A Dos_amiga.c360 exit(3); in mch_check_win()
366 exit(3); in mch_check_win()
429 goto exit; in mch_check_win()
439 goto exit; in mch_check_win()
459 goto exit; in mch_check_win()
541 goto exit; in mch_check_win()
545 exit: in mch_check_win()
550 exit(exitval); in mch_check_win()
957 exit(r); in mch_exit()
H A Ddosinst.h92 exit(1); in alloc()
118 exit(n); in myexit()
H A Dgui_xmdlg.c114 Boolean exit; // used for program exit control member
785 data->exit = True; in cancel_callback()
841 data->exit = True; in ok_callback()
1196 data->exit = False; in gui_xm_select_font()
1265 while (!data->exit) in gui_xm_select_font()
H A Dos_vms_mms.c75 exit(err ? 44 : 1); in main()
/vim-8.2.3635/src/xxd/
H A Dxxd.c237 exit(1); in exit_with_usage()
245 exit(ret); in perror_exit()
252 exit(ret); in error_exit()
475 exit(1); in main()
507 exit(0); in main()
645 exit(1); in main()
/vim-8.2.3635/.github/workflows/
H A Dci.yml414 7z x downloads\lua.zip -o%LUA_DIR% > nul || exit 1
418 7z x -y downloads\winpty.zip -oD:\winpty > nul || exit 1
431 curl -f -L %1 -o %2 || exit 1
462 exit 1
507 .\vim --version || exit 1
514 nmake -nologo -f Make_dos.mak VIMPROG=..\gvim || exit 1
530 nmake -nologo -f Make_dos.mak report VIMPROG=..\..\src\vim || exit 1
533 exit 1
/vim-8.2.3635/runtime/syntax/
H A Dlftp.vim31 \ cls command debug du echo exit fg find get
53 syn keyword lftpSettings contained at[-exit] cls-c[ompletion-default]
56 syn keyword lftpSettings contained fai[l-exit] in[teractive]
H A Dtmux.vim71 \ escape-time exit-empty activity-action assume-paste-time base-index
74 \ display-panes-time display-time exit-unattached extended-keys focus-events
84 \ prefix2 prompt-history-limit remain-on-exit renumber-windows repeat-time
/vim-8.2.3635/runtime/ftplugin/
H A Dzimbu.vim110 iabbr <buffer> <expr> exit GCUpper("exit")
158 \ " | iunabbr <buffer> exit" ..
/vim-8.2.3635/runtime/tools/
H A Dxcmdsrv_client.c51 exit(0); in main()
56 exit(1); in main()
/vim-8.2.3635/runtime/doc/
H A Dremote.txt66 --remote-send {keys} Send {keys} to server and exit. The {keys}
96 Tell the remote server "BLA" to write all files and exit: >
122 servers on the standard output (stdout) and exit.
H A Ddoctags.c28 exit(1); in main()
H A Dif_tcl.txt429 The standard Tcl commands "exit" and "catch" are replaced by custom versions.
430 "exit" terminates the current Tcl script and returns to vim, which deletes the
432 "exit" does NOT terminate vim! "catch" works as before, except that it does
433 not prevent script termination from "exit". An exit code != 0 causes the ex
452 in any number of other scripting languages.) A call to "exit" within this new
/vim-8.2.3635/src/libvterm/src/
H A Dvterm.c411 exit(1); in vterm_check_version()
417 exit(1); in vterm_check_version()
/vim-8.2.3635/runtime/tutor/
H A Dtutor.utf-862 1 through 3 to exit and re-enter the editor.
142 ** Use :wq to save a file and exit. **
147 Otherwise, exit this tutor as you did in lesson 1.2: :q!
155 4. Save the file with changes and exit Vim with: :wq <ENTER>
171 3. To exit Vim type: <ESC> :q! <ENTER> to trash all changes.
639 NOTE: If you were to exit Vim and start it again with vim TEST , the file
726 3. Now type some text and press <ESC> to exit Insert mode.
750 4. Complete the word like the line below it. Press <ESC> to exit Insert
H A Dtutor62 1 through 3 to exit and re-enter the editor.
142 ** Use :wq to save a file and exit. **
147 Otherwise, exit this tutor as you did in lesson 1.2: :q!
155 4. Save the file with changes and exit Vim with: :wq <ENTER>
171 3. To exit Vim type: <ESC> :q! <ENTER> to trash all changes.
639 NOTE: If you were to exit Vim and start it again with vim TEST , the file
726 3. Now type some text and press <ESC> to exit Insert mode.
750 4. Complete the word like the line below it. Press <ESC> to exit Insert

12345678910